javax.persistence

## Annotation Type MapKeyJoinColumns

-     @Target(value={METHOD,FIELD})
      @Retention(value=RUNTIME)
      public @interface MapKeyJoinColumns

  Supports composite map keys that reference entities.

  The `MapKeyJoinColumns` annotation groups `MapKeyJoinColumn` annotations. When the `MapKeyJoinColumns` annotation is used, both the `name` and the `referencedColumnName` elements must be specified in each of the grouped `MapKeyJoinColumn` annotations.

  Since:
    Java Persistence 2.0
  See Also:
    `MapKeyJoinColumn`, `ForeignKey`

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `MapKeyJoinColumn[]` | `value` (Required) The map key join columns that are used to map to the entity that is the map key.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `ForeignKey` | `foreignKey` (Optional) Used to specify or control the generation of a foreign key constraint when table generation is in effect.

- - ### Element Detail

    - #### value

          public abstract MapKeyJoinColumn[] value

      (Required) The map key join columns that are used to map to the entity that is the map key.

    - #### foreignKey

          public abstract ForeignKey foreignKey

      (Optional) Used to specify or control the generation of a foreign key constraint when table generation is in effect. If both this element and the `foreignKey` element of any of the `MapKeyJoinColumn` elements are specified, the behavior is undefined. If no foreign key annotation element is specified in either location, the persistence provider's default foreign key strategy will apply.
      Since:
        Java Persistence 2.1
      Default:
        @javax.persistence.ForeignKey(javax.persistence.ConstraintMode.PROVIDER_DEFAULT)

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.